<?php
  /**************************************************************************\
  * phpGroupWare - Setup                                                     *
  * http://www.phpgroupware.org                                              *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
  /* $Id: default_records.inc.php,v 1.3.4.1 2004/01/31 07:31:51 skwashd Exp $ */

	/* IMHO we should not be deleting config info!
	It is for the sysadmin to decide not us - skwashd
	$oProc->query("DELETE FROM phpgw_config WHERE config_app='chora'");
	$oProc->query("DELETE FROM phpgw_config WHERE config_name='co' OR config_name='rcs' OR config_name='rcsdiff' OR config_name='rlog' OR config_name='cvs' OR config_name='adminname' OR config_name='adminemail' OR config_name='shortloglength'");
	*/

	$def_val = trim(exec('which co'));
	$def_val = ($def_val ? $def_val : '/usr/bin/co');
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','co','$def_val')");

        $def_val = trim(exec('which rcs'));
	$def_val = ($def_val ? $def_val : '/usr/bin/rcs');
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','rcs','$def_val')");

        $def_val = trim(exec('which rcsdiff'));
	$def_val = ($def_val ? $def_val : '/usr/bin/rcsdiff');		
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','rcsdiff','$def_val')");

        $def_val = trim(exec('which rlog'));
	$def_val = ($def_val ? $def_val : '/usr/bin/rlog');
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','rlog','$def_val')");

	$def_val = trim(exec('which /usr/bin/cvs'));
	$def_val = ($def_val ? $def_val : '/usr/bin/cvs');
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','cvs','$def_val')");

	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','adminname','Site Admin')");
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','adminemail','admin@localhost')");
	$oProc->query("INSERT INTO phpgw_config (config_app,config_name,config_value)VALUES ('chora','shortloglength','75')");
?>
